Subject: Re: bug#7967: 23.2.93; keybindings should be echoed in *Message* buffer

From: "Roland Winkler" <[email-masked]>
Date: Sun, 6 Feb 2011 11:16:50 -0600

On Wed Feb 2 2011 Glenn Morris wrote:
> > Execute any command foo with a keybinding in its "long form" M-x foo.
> > Emacs issues the message 
> >
> >   You can run the command `foo' with ...
> >
> > The default is to display this message for two seconds.
> > Then the message is gone for ever. 
> 
> You can use M-x where-is (C-h w) to bring it back whenever you like.

I guess the real-world problem is:

Usually, I am running not just one command, but I am really in the
middle of some larger task when all this happens. And I do not want
to interrupt things because of such a message popping up.

Later on, when I might be able to go back, it's too late. I might
not even remember anymore the command I was executing when this
message popped up.

So is anybody able to fix this? -- Thanks a lot!

Roland